× R0.23 No Longer Supported

[Solved] "auth/joomdle plugin needs upgrading"

11 years 7 months ago 11 years 6 months ago by Antonio Durán.
Garrett
Posts: 33
More
Topic Author
[Solved] "auth/joomdle plugin needs upgrading" #1
Hi ,

I am trying to install joomdle however I am getting an error XML-RPC (7021)-

I have had joomdle sucessfully installed on a shared hosting account before - this time I am using a dedicated server and the ip is being recognised as a trusted host - I followed the documentation to the T - the plugin appeared in Moodle and I applied the settings however I noticed something strange - even though the Joomdle was installed when I clicked on the notifications icon I got the following message "auth/joomdle plugin needs upgrading" and the contents of the table, mdl_joomdle_dummytable were displayed finishing off with the message "Installing joomdle FAILED!"

I'm not sure why this happening - any help is appreciated,

thanks, Garrett

PS I am using Moodle version 1.9.7 and Joomla 1.5
The topic has been locked.
11 years 7 months ago
Antonio Durán
Posts: 7322
More
[Solved] "auth/joomdle plugin needs upgrading" #2
If you are getting the 7021 error, it is always a problem with the XML-RPC hosts.
Which IP are you entering? What is your domain?
The topic has been locked.
11 years 6 months ago
Garrett
Posts: 33
More
Topic Author
[Solved] "auth/joomdle plugin needs upgrading" #3
Hi,

Please forgive the delay in replying however I decided to setup my site on a sub domain for testing purposes and try agaian - I am still getting the same problem i.e. "Error XML-RPC (7021): The transport method you are trying to use is not permitted. "

My joomla site domain is joomlatest.pointlearn.com k and my moodle domain is joomlatest.pointlearn.com/learn k

The ip I am using is 205.186.138/32

Any help on this is appreciated,

Thanks, Garrett
The topic has been locked.
11 years 6 months ago
Antonio Durán
Posts: 7322
More
[Solved] "auth/joomdle plugin needs upgrading" #4
$ host joomlatest.pointlearn.com
joomlatest.pointlearn.com has address 205.186.138.225

This is the address you have to enter, your site IP address.
The topic has been locked.
11 years 6 months ago
Garrett
Posts: 33
More
Topic Author
[Solved] "auth/joomdle plugin needs upgrading" #5
Hi -thanks for your replay - I updated my IP and then got a 7015 error - I check all my settings but no change so I searched the forums and applied the following and it works perfectly!

The information I used was:

"You can try this:
UPDATE mdl_config SET value='dangerous' WHERE name='mnet_dispatcher_mode';

If this makes it work, you could try why this select is giving you empty results (by removing some conditions):
SELECT count(r.id) FROM mdl_mnet_host2service h2s, mdl_mnet_service2rpc s2r, mdl_mnet_rpc r WHERE h2s.serviceid = s2r.serviceid AND s2r.rpcid = r.id AND r.xmlrpc_path = 'auth/joomdle/auth.php/list_courses' AND h2s.hostid in (0, 2) AND h2s.publish = '1' LIMIT 1;"


However the noifications button is still active with the Joomlade plugin - I cannot get rid of it - and even thoug its working it still gives me the following error message:

auth/joomdle plugin needs upgrading and then it details all the error warnings - how do I stop the notification appearing?

Thanks Garrett
The topic has been locked.
11 years 6 months ago
Antonio Durán
Posts: 7322
More
[Solved] "auth/joomdle plugin needs upgrading" #6
I guess when you visit notifications you get all the errors about duplicate keys.

You can try to remove these by deleting from your database the rows that are being inserted again.
The topic has been locked.
11 years 6 months ago
Garrett
Posts: 33
More
Topic Author
[Solved] "auth/joomdle plugin needs upgrading" #7
Hi - Are you referring to the mdl_joomdle_dummytable? I have accessed this table however it is not allowing me to browse - is that normal? Sorry I am asking you SQl questions - Iam familar with PHPMyAdmin and SQl commands but I am seeing this for the first time.
The topic has been locked.
11 years 6 months ago
Antonio Durán
Posts: 7322
More
[Solved] "auth/joomdle plugin needs upgrading" #8
Yes, the table is empty. It is only created because moodle does not work if you try to insert rows in tables and you don't create a new table for the plugin :( That is why it is called dummy table ;)

What you should do is remove that table and all rows that give you errors on Notifications page.
The topic has been locked.
11 years 6 months ago
Garrett
Posts: 33
More
Topic Author
[Solved] "auth/joomdle plugin needs upgrading" #9
Great success - I removed all references in the table and it all works. Thank you very much
The topic has been locked.